#
# Specfile for lineak_defaultplugin, default actions for lineakd
#

Name:           lineak-defaultplugin
Version:        0.9
Release:        2%{?dist}
Summary:        This is the default plugin for the lineakd keyboard daemon

Group:          User Interface/Desktops
License:        GPL
URL:            http://lineak.sourceforge.net

################################################################################

Source:         http://dl.sourceforge.net/lineak/%{name}-%{version}.tar.gz

Patch:          install_dirs.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################################################

BuildRequires:  lineakd-devel        = %{version}
BuildRequires:  libXtst-devel
BuildRequires:  libXt-devel
BuildRequires:  libxkbfile-devel

Requires:       lineakd              = %{version}

Obsoletes:      lineak_defaultplugin

################################################################################

%description
This plugin contains the default lineakd macros, including EAK_MUTE, EAK_VOLUP,
EAK_VOLDOWN, EAK_EJECT, EAK_MEDIADETECT and others.

################################################################################

%prep

%setup -q

%patch

################################################################################

%build

%configure --with-lineak-plugindir=%{_libdir}/lineakd/plugins

make %{?_smp_mflags}

################################################################################

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the libtool archive files
rm -f $RPM_BUILD_ROOT/%{_libdir}/lineakd/plugins/*.la

################################################################################

%clean
rm -rf $RPM_BUILD_ROOT

################################################################################

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%config(noreplace) %{_sysconfdir}/*
%{_libdir}/lineakd/plugins/*
%{_mandir}/man[^3]/*

################################################################################

%changelog

* Fri Sep  8 2006   Chris Petersen <rpm@forevermore.net>                  0.9-2
- Rebuild for FC6 glibc update

* Thu May 25 2006   Chris Petersen <rpm@forevermore.net>                  0.9-1
- Preliminary build for 0.9
- Yay, no more underscores
- Needs a patch to fix some installation directories

* Tue May 23 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-5
- Add BuildRequires: libxkbfile-devel

* Tue May 23 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-4
- Add a couple of BuildRequires

* Mon May 22 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-3
- Rename package with - instead of _, despite upstream use of _
- Add Obsoletes and Provides for the underscore version of the name

* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-2
- Fix download link to point to direct download

* Thu May 11 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-1
- Update spec to match fedora guidelines

* Mon Mar 14 2005   Chris Petersen <rpm@forevermore.net>
- Change lineakd required version from >= to =

* Wed Sep 15 2004   Chris Petersen <rpm@forevermore.net>
- Rework how files are picked, and add paths to allow the makeinstall macro to work

* Tue Mar 9  2004   Chris Petersen <rpm@forevermore.net>
- Updated spec file to a better template

